﻿#NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
; #Warn  ; Enable warnings to assist with detecting common errors.


;----------------------------------------------------------------------------------------
; The script expects two arguments, eg. Launcher.exe "first argument" "second argument"
; The arguments are stored automatically in the variable 1, 2 and so on
; The amount of given arguments is stored in the variable 0
;----------------------------------------------------------------------------------------

SendMode Input  ; Recommended for new scripts due to its superior speed and reliability.
SetWorkingDir %A_ScriptDir%			;ensures a consistent starting directory.

if 0 < 2 							;if number of arguments below 2 exit script
{
	MsgBox, To few arguments
	ExitApp
}
exe = %1%							;store first parameter in the variable "exe"
StringLeft, drive, 2, 2				;delete quatition mark out of given root directory, i have no idea where this quotation mark is coming from, maybe a mediaportal issue
drive :=drive . "\"					;append backslash to root directory


start := A_TickCount 				;start countdown timer

loop 
{ 
	DriveGet, status, status, D:\	;store drive status in variable "status"
	if status = Ready				;check if drive is ready
	{
		Gosub, RunPDVD				;if drive ready goto sub RunPDVD
		break
	}
	now := A_TickCount-start
	if now > 10000					;if drive not ready and countdown finished, close launcher
	{
	 MsgBox, Timeout, Drive %drive% not ready
	ExitApp
	}
	
}

RunPDVD:							
Run, %A_ScriptDir%\%exe% %drive%	;run PowerDVD
Sleep, 4000							;wait four seconds
Loop
{	
	If !(WinExist("ahk_class PowerDVD15") or WinExist("ahk_class PowerDVDCinema15") or WinExist("ahk_class CDxWindow17"))	;check if PowerDVD is running (even in background)
	{	
		ExitApp
	}
}
return